<form #form="ngForm" (submit)="onSubmit(form)" autocomplete="off">
    <div class="container">
      <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-25 mx-auto">
          <div class="card card-signin my-5">
            <div class="card-body">
              <h3 class="card-title text-center">Post Event Activities</h3>
              <br/>
              <div>
                <label>Date</label>
                <input type="date" name="eventListDetails" class="form-control" (blur)="getEventDate($event)" />
                <br/>
              </div>
  
              <div class="form-group">
                <div class="btn btn-primary my-2 my-sm-0" (click)="getEventlistbasedonDate()">Show Events</div>
              </div>
  
              <div class="form-group" *ngIf="eventList">
                <label>Event ID</label>
                <!-- <input type="text" name="eventId" class="form-control" required #eventId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.eventId"/> -->
                <br/>
                <!-- <select id="eventId" (blur)="onEventSelect($event)" class="dropdown form-control" #eventId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.event.eventName"> -->
                    <select id="eventId" name="eventId"  (change)="onEventSelect($event)" class="dropdown form-control" #eventId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.eventName">
                  <option *ngFor="let volunteerDetail of eventList" value={{volunteerDetail.eventId}} >{{volunteerDetail.eventName}}</option>
                  
                </select>
              </div>
  
              <div *ngIf="eventList">
                  <label>Volunteer Details</label>
                  <br />
                 <!-- working code
                    <select class='form-control' name="associateDetailsId" [(ngModel)]="selectedValue" #associateDetailsId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeID">
                        <option value='0'>Please Select</option>                      
                        <option *ngFor="let volunteerDetail of employeeID" value={{volunteerDetail.employeeID}}>{{volunteerDetail.employeeID}}</option> 
                  </select> -->
  
                  <!-- <select class='form-control' id="employeeID" (change)="onVolunteerChange($event)" name="associateDetailsId" [(ngModel)]="selected" #associateDetailsId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeID">
                      <option value='0'>Please Select</option>                   
                      <option *ngFor="let volunteerDetail of employeeID" value={{volunteerDetail.employeeID}}>{{volunteerDetail.employeeID}}</option> 
                </select> 
                
                </div>
                <br/>              -->
                <select class='form-control' id="employeeID" (change)="onVolunteerChange($event)" name="employeeID" [(ngModel)]="selected" #associateDetailsId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeID">
                  <option value='0'>Please Select</option>                   
                  <option *ngFor="let volunteerDetail of employeeID" value={{volunteerDetail.employeeID}}>{{volunteerDetail.employeeID}}</option> 
            </select> 
            
            </div>
            <br/>   

                <!-- <input type="text" name="employeeID" class="form-control" required #employeeID="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeID"> -->
              
                <div *ngIf="eventList">
              <label>Participation Type</label>
              
              <select class='form-control' placeholder='Participation Type' name="participationID" [(ngModel)]="selectedValues" [ngModel]="_freeApiService.volunteerDetails?.participationID">
                <option value='0'>Please Select</option>
                <option value='1'>Attended</option>
                <option value='2'>Not Attended</option>             
              </select>
              </div>
  <br/>
              <div class="form-group" *ngIf="selected == '0'">
                  <label>Associate ID</label>
                  <input type="text" name="employeeID" class="form-control" required #employeeID="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeID"
                  />
                  
                
                </div>
    
                <div class="form-group" *ngIf="selected == '0'">
                  <label>Associate Name</label>
                  <input type="text" name="employeeName" class="form-control" required #employeeName="ngModel" [ngModel]="_freeApiService.volunteerDetails?.employeeName"
                  />
                  <br/>
                </div>
              
                <!-- <div class="form-group" *ngIf="selected == '0'">
                  <label>Contact Number</label>
                  <input type="text" name="contactNumber" class="form-control" required #contactNumber="ngModel" [ngModel]="_freeApiService.volunteerDetails?.contactNumber"
                  />
                  <br/>
                </div>

                <div class="form-group" *ngIf="selected == '0'">
                  <label>Email Id</label>
                  <input type="text" name="emailId" class="form-control" required #emailId="ngModel" [ngModel]="_freeApiService.volunteerDetails?.emailId"
                  />
                  <br/>
                </div> -->
              <!-- <div>
                <label>Total Volunteer Hours</label>
                <input type="text" name="volunteerHours" class="form-control" required #volunteerHours="ngModel" [ngModel]="_freeApiService.volunteerDetails?.volunteerHours"
                />
                <br/>
              </div> -->
              <div *ngIf="selectedValues == '1'">
                  <label>Total Volunteer Hours</label><br/>
                  <input type="text" name="volunteerHours" class="form-control" required  #volunteerHours="ngModel" [ngModel]="volunteerHrs"
                  
                  />
                  <!-- <div *ngIf="volunteerHours.invalid && (volunteerHours.dirty || volunteerHours.touched)" class="error">
                      <div *ngIf="volunteerHours.errors">
                          volunteerHours is required.
                      </div> -->
                    <!-- </div> -->
                  <br/>
                </div>
                <div *ngIf="selectedValues == '1'">
              <div>
                <label>Lives Impacted</label>
                <input type="text" name="livesImpacted" class="form-control" required #livesImpacted="ngModel" [ngModel]="_freeApiService.volunteerDetails?.livesImpacted"
                />
                <br/>
              </div>
              </div>
              <div *ngIf="selectedValues == '1'">
              <div>
                <label>Travel Hours</label>
                <input type="text" name="travelHours" class="form-control" required #travelHours="ngModel" [ngModel]="_freeApiService.volunteerDetails?.travelHours"
                />
                <br/>
              </div>              
                </div>
                          
              <div class="form-group" *ngIf="eventList">
                <button class="col-lg-6 btn btn-lg btn-primary btn-block text-uppercase">Create</button>
              </div>
                <div class="alert alert-dismissible alert-success" *ngIf="showMsg">
                  <button type="button" class="close" data-dismiss="alert">&times;</button>
                  <strong>Volunteer details saved successfully!!!</strong>
              </div>
            </div>
  
  
          </div>
        </div>
      </div>
    </div>
  </form>
  